<template>
  <div v-if="userId" class="profile-button">
    <nuxt-link to="/account">
      <img v-if="avatarUrl" :src="avatarUrl" />
      <i v-else class="el-icon-user-solid" />
    </nuxt-link>
  </div>
  <div v-else class="profile-button">
    <div>
      <a v-if="userId" href="/logout">Log Out</a>
      <a v-else href="/">Log In</a>
    </div>
  </div>
</template>
<script>
import DP from "dot-prop";
import { mapState } from "vuex";

export default {
  data() {
    return {};
  },
  mounted() {},
  computed: mapState({
    user: (state) => state.user,
    userId: (state) => DP.get(state, "user.id"),
    avatarUrl: (state) => DP.get(state, "user.avatarUrl"),
    name: (state) => DP.get(state, "user.name"),
  }),
  methods: {},
};
</script>
<style lang="scss" scoped>
@import "~assets/mixins";

.profile-button {
  display: flex;
  width: auto;

  flex-direction: row;
  align-items: center;
  justify-content: flex-end;

  & > div {
    display: flex;
    flex-direction: column;

    align-items: flex-end;
  }
}

img,
i {
  max-width: $grid * 1.5;
  max-height: $grid * 1.5;

  margin: $grid * 0.25;

  @include corners($grid, $grid, $grid, $grid);
  display: inline-block;
  background-color: $color-background;
}

i {
  padding: $grid * 0.25;
}
</style>
